/*
 * The MIT License
 *
 * Copyright (c) 2024 strangelookingnerd
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

/**
 * Select the icon for preview.
 *
 * @param {string} icon - The icon name.
 *
 */
function setEmojiIcon(icon) {
    if (icon == null || icon === "") {
        return;
    }

    let iconName = document.getElementById("emoji-icon-name");
    iconName.setAttribute("value", icon);
    iconName.dispatchEvent(new Event("input"));

    let oldPreview = document.getElementById("emoji-preview");
    let selectedIcon = document.getElementById("emoji-icon-" + icon);

    let newPreview = selectedIcon.cloneNode(true);
    newPreview.id = "emoji-preview";
    newPreview.classList.replace("icon-md", "icon-xlg");

    oldPreview.parentElement.replaceChild(newPreview, oldPreview);
}
